#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - mono-core preinstallation
#
# Creation   :  2014-09-08 holbru
# Last update:  $Id: preinstall.sh 56857 2018-08-19 20:17:54Z hbfl $
#
# Copyright (c) 2014-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=mono-core

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check mono-data-postgresql) 

if [ "${installed}" = "installed" ]
then
    eisman uninstall --auto --force mono-data-postgresql
fi

installed=$(eisman check mono-entityframework)

if [ "${installed}" = "installed" ]
then
    eisman uninstall --auto --force mono-entityframework
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
